Loading...
Searching...
No Matches
XrdCmsSelected Class Reference

`#include <XrdCmsSelect.hh>`

Collaboration diagram for XrdCmsSelected:

## Public Types

enum | { Disable = 0x0001 , NoStage = 0x0002 , Offline = 0x0004 , Suspend = 0x0008 , isRW = 0x0010 , isMangr = 0x0100 }

## Public Member Functions

| XrdCmsSelected (XrdCmsSelected *np=0)
| ~XrdCmsSelected ()

## Public Attributes

int | Id
char | Ident [IdentSize]
int | IdentLen
SMask_t | Mask
XrdCmsSelected * | next
int | Port
int | RefTotR
int | RefTotW
char | RoleID
char | Rsvd [2]
char | Share
int | Shrin
int | Status

## Static Public Attributes

static const int | IdentSize = 264

## Detailed Description

Definition at line 104 of file XrdCmsSelect.hh.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
Disable |
NoStage |
Offline |
Suspend |
isRW |
isMangr |

Definition at line 124 of file XrdCmsSelect.hh.

{Disable = 0x0001,
NoStage = 0x0002,
Offline = 0x0004,
Suspend = 0x0008,
isRW = 0x0010,
isMangr = 0x0100
};
XrdCmsSelected::Disable
@ Disable
Definition XrdCmsSelect.hh:124
XrdCmsSelected::Suspend
@ Suspend
Definition XrdCmsSelect.hh:127
XrdCmsSelected::NoStage
@ NoStage
Definition XrdCmsSelect.hh:125
XrdCmsSelected::Offline
@ Offline
Definition XrdCmsSelect.hh:126
XrdCmsSelected::isMangr
@ isMangr
Definition XrdCmsSelect.hh:129
XrdCmsSelected::isRW
@ isRW
Definition XrdCmsSelect.hh:128

## Constructor & Destructor Documentation

## XrdCmsSelected()

XrdCmsSelected::XrdCmsSelected | ( | XrdCmsSelected * | np = 0 | ) |

inline

Definition at line 132 of file XrdCmsSelect.hh.

: next(np) {}
XrdCmsSelected::next
XrdCmsSelected * next
Definition XrdCmsSelect.hh:110

References XrdCmsSelected(), and next.

Referenced by XrdCmsSelected().

Here is the call graph for this function:
Here is the caller graph for this function:

## ~XrdCmsSelected()

XrdCmsSelected::~XrdCmsSelected | ( |  | ) |

inline

Definition at line 134 of file XrdCmsSelect.hh.

{}

## Member Data Documentation

## Id

int XrdCmsSelected::Id

Definition at line 112 of file XrdCmsSelect.hh.

## Ident

char XrdCmsSelected::Ident[IdentSize]

Definition at line 114 of file XrdCmsSelect.hh.

Referenced by XrdCmsNode::do_LocFmt(), and XrdCmsCluster::Statt().

## IdentLen

int XrdCmsSelected::IdentLen

Definition at line 113 of file XrdCmsSelect.hh.

Referenced by XrdCmsNode::do_LocFmt().

## IdentSize

const int XrdCmsSelected::IdentSize = 264

static

Definition at line 108 of file XrdCmsSelect.hh.

Referenced by XrdCmsCluster::List().

## Mask

SMask_t XrdCmsSelected::Mask

Definition at line 111 of file XrdCmsSelect.hh.

Referenced by XrdCmsNode::do_LocFmt().

## next

XrdCmsSelected* XrdCmsSelected::next

Definition at line 110 of file XrdCmsSelect.hh.

Referenced by XrdCmsSelected(), XrdCmsNode::do_LocFmt(), and XrdCmsCluster::Statt().

## Port

int XrdCmsSelected::Port

Definition at line 115 of file XrdCmsSelect.hh.

## RefTotR

int XrdCmsSelected::RefTotR

Definition at line 117 of file XrdCmsSelect.hh.

Referenced by XrdCmsCluster::Statt().

## RefTotW

int XrdCmsSelected::RefTotW

Definition at line 116 of file XrdCmsSelect.hh.

Referenced by XrdCmsCluster::Statt().

## RoleID

char XrdCmsSelected::RoleID

Definition at line 120 of file XrdCmsSelect.hh.

Referenced by XrdCmsCluster::Statt().

## Rsvd

char XrdCmsSelected::Rsvd[2]

Definition at line 121 of file XrdCmsSelect.hh.

## Share

char XrdCmsSelected::Share

Definition at line 119 of file XrdCmsSelect.hh.

Referenced by XrdCmsCluster::Statt().

## Shrin

int XrdCmsSelected::Shrin

Definition at line 118 of file XrdCmsSelect.hh.

Referenced by XrdCmsCluster::Statt().

## Status

int XrdCmsSelected::Status

Definition at line 122 of file XrdCmsSelect.hh.

Referenced by XrdCmsNode::do_LocFmt(), and XrdCmsCluster::Statt().

The documentation for this class was generated from the following file:

- XrdCmsSelect.hh